Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Node

    java.lang.Object
      com.beanexplorer.beans.Option
          ru.biosoft.access.MutableDataElementSupport
              biouml.model.DiagramElement
                  biouml.model.Node

All Implemented Interfaces:
  DataElement, MutableDataElement

Direct Known Subclasses:
  Compartment

public class Node
extends DiagramElement

Diagram node element

Field Summary
`View` | `background` The node background.
`protected java.util.ArrayList` | `edges`
`protected boolean` | `fixed` Indicates whether this node location should be preserved during layout.
`protected ImageDescriptor` | `image` Arbitrary image can be assitiated with diagram node element.
`protected java.awt.Point` | `location`
`protected java.awt.Dimension` | `shapeSize` This property will be used only if `SemanticController` beleives that node is resizable.

Fields inherited from class biouml.model.DiagramElement
`comment, kernel, role, title, view`

Fields inherited from class ru.biosoft.access.MutableDataElementSupport
`name`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Node(DataCollection parent, Base kernel)`
`Node(DataCollection parent, java.lang.String name, Base kernel)`

Method Summary
`void` | `addEdge(Edge edge)`
`DiagramElement` | `clone(Compartment newParent, java.lang.String newName)`
`protected void` | `doClone(Node node)`
`java.util.Iterator` | `edgeIterator()`
`static DataCollection` | `findCommonOrigin(DataCollection first, DataCollection second)`
`View` | `getBackground()`
`Edge[]` | `getEdges()`
`ImageDescriptor` | `getImage()`
`java.awt.Point` | `getLocation()`
`java.awt.Dimension` | `getShapeSize()`
`boolean` | `isBackgroundHidden()`
`boolean` | `isFixed()`
`boolean` | `isNotResizable()`
`void` | `removeEdge(Edge edge)`
`void` | `setBackground(View background)`
`void` | `setFixed(boolean fixed)`
`void` | `setImage(ImageDescriptor image)`
`void` | `setLocation(int x, int y)`
`void` | `setLocation(java.awt.Point location)`
`void` | `setRelativeLocation(Diagram diagram, java.awt.Point location)`
`void` | `setShapeSize(java.awt.Dimension shapeSize)`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, isKernelHidden, isRoleHidden, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ru.biosoft.access.MutableDataElement
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### fixed

    protected boolean fixed

  Indicates whether this node location should be preserved during layout.

### location

    protected java.awt.Point location

### shapeSize

    protected java.awt.Dimension shapeSize

  This property will be used only if `SemanticController` beleives that node is resizable. Generally Compartment shape is resizable by default.

### background

    public View background

  The node background.

### image

    protected ImageDescriptor image

  Arbitrary image can be assitiated with diagram node element.

### edges

    protected java.util.ArrayList edges

Constructor Detail

### Node

    public Node(DataCollection parent,
                java.lang.String name,
                Base kernel)

### Node

    public Node(DataCollection parent,
                Base kernel)

Method Detail

### isFixed

    public boolean isFixed()

### setFixed

    public void setFixed(boolean fixed)

### getLocation

    public java.awt.Point getLocation()

### setLocation

    public void setLocation(java.awt.Point location)

  Pendung:
    verify new location

### setLocation

    public void setLocation(int x,
                            int y)

### setRelativeLocation

    public void setRelativeLocation(Diagram diagram,
                                    java.awt.Point location)

### getShapeSize

    public java.awt.Dimension getShapeSize()

### setShapeSize

    public void setShapeSize(java.awt.Dimension shapeSize)

### getBackground

    public View getBackground()

### setBackground

    public void setBackground(View background)

### getImage

    public ImageDescriptor getImage()

### setImage

    public void setImage(ImageDescriptor image)

### addEdge

    public void addEdge(Edge edge)

### removeEdge

    public void removeEdge(Edge edge)

### getEdges

    public Edge[] getEdges()

### edgeIterator

    public java.util.Iterator edgeIterator()

### clone

    public DiagramElement clone(Compartment newParent,
                                java.lang.String newName)

  Overrides:
    `clone` in class `DiagramElement`

### doClone

    protected void doClone(Node node)

  Pendung:
    clone image

### findCommonOrigin

    public static DataCollection findCommonOrigin(DataCollection first,
                                                  DataCollection second)

### isBackgroundHidden

    public boolean isBackgroundHidden()

### isNotResizable

    public boolean isNotResizable()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.